# Copyright (c) 2023 ChromaWay Inc. See README for license information.
FROM alpine:3.21.2@sha256:56fa17d2a7e7f168a043a2712e63aed1f8543aeafdcee47c58dcffe38ed51099 AS build

RUN apk update && apk upgrade && apk add openjdk21-jdk

FROM alpine:3.21.2@sha256:56fa17d2a7e7f168a043a2712e63aed1f8543aeafdcee47c58dcffe38ed51099

RUN apk update && apk upgrade && apk add openjdk21-jre-headless && rm -rf /var/cache/apk/*

COPY --from=build /usr/bin/jcmd /usr/lib/jvm/default-jvm/bin/jcmd
